Does this really mean new Chrome Versions are not supported??? This would be a really important information for me and our customers and when this is so, why???

https://docs.sencha.com/extjs/7.2.0/guides/supported_browsers.html
Chrome 64-75